//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see http://www.gnu.org/licenses/.
// 

#ifndef __WAR_COUNTRY_H_
#define __WAR_COUNTRY_H_

#include <omnetpp.h>
#include <string>
#include "warmsg_m.h"
#include "UN_m.h"

/**
 * TODO - Generated class
 */
class Country : public cSimpleModule
{
  protected:
    virtual void initialize();
    virtual void handleMessage(cMessage *msg);
  public:
    virtual ~Country();
    bool inUpheaval;
    int overlord;
    std::string overlordColor;
  private:
    cMessage *upheavalEvent; // pointer to the event object which we'll use for upheaval
};

std::string hsvToRgb(float h, float s, float v);

#endif
